package mnk.replace.model;

import java.util.ArrayList;
import java.util.List;

public class UserContent {

    public static List<UserContent.User> USERS = new ArrayList<>();

    public UserContent() {

        USERS = new ArrayList<>();

    }

    public static final void addUser(UserContent.User user) {

        USERS.add(user);

    }

    public static final UserContent.User getUser(int x) {

        return USERS.get(x);

    }

    public static final UserContent.User getUserById(String id) {

        for (int x = 0; x < USERS.size(); x++) {

            if (USERS.get(x).getId().compareTo(id) == 0) {

                return USERS.get(x);

            }

        }

        return null;
    }

    public static void removeUsers() {

        USERS = new ArrayList<>();

    }

    public List<UserContent.User> getUsers() {

        return USERS;

    }

    public boolean checkUsedId(String id) {

        for (int x = 0; x < USERS.size(); x++) {

            if (USERS.get(x).getId().compareTo(id) == 0) {

                return true;

            }

        }

        return false;

    }

    public static class User {

        String nickName;
        String id;
        String latitude;
        String longitude;
        String imageURL;
        String email;
        String phone;
        String birthday;

        public User() {

            this.nickName = "";
            this.id = "";
            this.latitude = "";
            this.longitude = "";
            this.imageURL = "";
            this.email = "";
            this.phone = "";
            this.birthday = "";

        }

        public User(String NickName, String Id, String Latitude, String Longitude, String ImageURL, String Email, String Phone, String Birthday) {

            this.nickName = NickName;
            this.id = Id;
            this.latitude = Latitude;
            this.longitude = Longitude;
            this.imageURL = ImageURL;
            this.email = Email;
            this.phone = Phone;
            this.birthday = Birthday;

        }

        public String getNickName() {
            return nickName;
        }

        public void setNickName(String NickName) {
            nickName = NickName;
        }

        public String getId() {
            return id;
        }

        public void setId(String Id) {
            id = Id;
        }

        public String getLatitude() {
            return latitude;
        }

        public void setLatitude(String Latitude) {
            latitude = Latitude;
        }

        public String getLongitude() {
            return longitude;
        }

        public void setLongitude(String Longitude) {
            longitude = Longitude;
        }

        public String getImageURL() {
            return imageURL;
        }

        public void setImageURL(String ImageURL) {
            imageURL = ImageURL;
        }

        public String getEmail() {
            return email;
        }

        public void setEmail(String Email) {
            email = Email;
        }

        public String getPhone() {
            return phone;
        }

        public void setPhone(String Phone) {
            phone = Phone;
        }

        public String getBirthday() {
            return birthday;
        }

        public void setBirthday(String Birthday) {
            birthday = Birthday;
        }

    }

}
